QGIS 2.14.21 requires GDAL 2.2 but only 2.1 available in Launchpad/Ubuntugis

2017-12-23 07:25 PM - Alexander Tetzlav

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.14.19 Regression?: Yes

Operating System: Ubuntu 14.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 25639

Description

On Ubuntu 14.04, I have used QGIS for a long time.

It was installed from the PPA + launchpad/ubuntugis for additional requirements:

deb http://qgis.org/ubuntugis-ltr trusty main

deb http://ppa.launchpad.net/ubuntugis/ppa/ubuntu trusty main

Recently, I updated my packages but after the final autoremove I noticed, that QGIS has been completely removed. It turned out that

libqgis-core2.14.21 requires libgdal20 (>= 2.2.0) but only 2.1.0+dfsg-1~trusty2 is available.

History

#1 - 2017-12-25 03:20 PM - Andre Joost

You should take the ubuntugis UNSTABLE ppa: https://launchpad.net/~ubuntugis/+archive/ubuntu/ubuntugis-unstable/

It supplies GDAL 2.2.2 for trusty, which should fit your needs.

#2 - 2017-12-28 01:43 PM - Alexander Tetzlav

- Status changed from Open to Closed

For my understanding, I thought the unstable Ubuntugis-PPA refers to unstable QGIS-PPA and the stable QGIS (LTR) should work with stable Ubuntugis.

However, this solution worked, so I mark it as solved.

Thanks!

#3 - 2018-02-22 11:00 AM - Giovanni Manghi

- Resolution set to worksforme
